> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Transfer

> Real-time off-chain funds transfers between two accounts on UTGL Network.
The source account available balance must be able to cover the transfer amount.

This endpoint is used for any internal transfer. For asset backed credit cards, this function is used for top-up an asset backed account.

To retrieve details of transfers, use the [GET /accounts/transfers](#/Transfers/getAccountTransfers) endpoint.



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml post /accounts/transfers
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /accounts/transfers:
    post:
      tags:
        - Transfers
      summary: Create a Transfer
      description: >-
        Real-time off-chain funds transfers between two accounts on UTGL
        Network.

        The source account available balance must be able to cover the transfer
        amount.


        This endpoint is used for any internal transfer. For asset backed credit
        cards, this function is used for top-up an asset backed account.


        To retrieve details of transfers, use the [GET
        /accounts/transfers](#/Transfers/getAccountTransfers) endpoint.
      operationId: createAccountTransfers
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - amount
                - asset
                - sourceAccountId
                - destinationAccountId
              properties:
                amount:
                  type: number
                  description: Amount to be transferred
                  example: 1000
                asset:
                  type: string
                  description: Currency or asset symbol of asset to be transferred
                  example: USD
                sourceAccountId:
                  type: string
                  description: Source account ID
                  example: 090ab04c-2ad2-41c5-beea-9bcc44148789
                destinationAccountId:
                  type: string
                  description: Destination account ID
                  example: 1c361a1e-4990-44e4-8d50-38f81bf11477
                description:
                  type: string
                  example: SETTLEMENT FOR PAYMENT \#123
                  description: >-
                    An arbitrary transaction description for this transfer.
                    Often useful for displaying to users.
                xid:
                  $ref: '#/components/schemas/Xid'
                xmetadata:
                  $ref: '#/components/schemas/Xmetadata'
            example:
              amount: 5000
              asset: USD
              sourceAccountId: 090ab04c-2ad2-41c5-beea-9bcc44148789
              destinationAccountId: 1c361a1e-4990-44e4-8d50-38f81bf11477
              description: SETTLEMENT FOR PAYMENT \\#123
              xid: 2bbabfff-9de8-40ff-8bf0-43b97f1f06a9
              xmetadata:
                group:
                  - '123'
      responses:
        '200':
          description: Transfer Completed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountTransfer'
              example:
                id: 05be07d5-62a2-4a4f-951e-381976672719,
                asset: USD,
                refId: WTCXC0VJV0,
                amounts: 5000,
                sourceAccountId: 090ab04c-2ad2-41c5-beea-9bcc44148789,
                destinationAccountId: 1c361a1e-4990-44e4-8d50-38f81bf11477,
                description: SETTLEMENT FOR PAYMENT \\\\#123,
                createdAt: 2024-01-01T16:00:00.000Z,
                xid: 2bbabfff-9de8-40ff-8bf0-43b97f1f06a9,
                xmetadata:
                  group:
                    - '123'
components:
  schemas:
    Xid:
      type: string
      description: >-
        External identifier, unique across all resources created under this
        account.
    Xmetadata:
      type: object
      description: External metadata
      example:
        key1: value1
        key2:
          - value2.1
          - value2.2
      additionalProperties: true
      oneOf:
        - type: string
        - type: array
          items:
            type: string
    AccountTransfer:
      title: AccountTransfer
      description: Account transfer
      type: object
      required:
        - id
        - sourceAccountId
        - destinationAccountId
        - amount
        - asset
        - description
        - createdAt
      properties:
        id:
          type: string
          description: Unique identifier for the transfer
          example: 6c997ca7-8b46-43d2-aee4-dde7669cce6e
        amount:
          type: number
          description: The amount of the transfer
          example: 1000
        asset:
          type: string
          description: Asset symbol or currency being transferred
          example: USD
        description:
          type: string
          description: >-
            Description for the transfer for display purposes, e.g. on
            statements. The value is provided at the time of transfer creation
            or generated by the system.
        refId:
          type: string
          description: Human readable reference identifier for the transfer
        sourceAccountId:
          type: string
          description: The ID of the account the funds are being transferred from
        destinationAccountId:
          type: string
          description: The ID of the account the funds are being transferred to
        createdAt:
          type: string
          format: date-time
        xid:
          $ref: '#/components/schemas/Xid'
        xmetadata:
          $ref: '#/components/schemas/Xmetadata'
          type: object
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````